const apis = {
    system: {
        uploadFile: {
            url: "/wxapp/index/one",
            showLoading: true,
        },
    },
    user: {
        sendCode: {
            url: "/wxapp/public/send",
        },
        openId: {
            url: "/wxapp/public/getopenid",
        },
        register: {
            url: "/wxapp/public/registerb",
        },
        login: {
            url: "/wxapp/public/loginb",
        },
        resetPassword: {
            url: "/wxapp/public/passwordReset",
        },
        info: {
            url: "/user/workerinfo/getuserinfo",
            auth: true,
        },
        setServiceInfo: {
            url: "/user/workerinfo/setinfo",
            auth: true,
        }
    },
    service: {
        cate: {
            url: "/wxapp/index/category1",
        },
        carType: {
            url: "/wxapp/index/getallcar"
        },
    },
    get: {
        list: {
            t1: {
                url: "/user/workerorderb/getallorder",
                showLoading: true,
                auth: true,
            },
            t2: {
                url: "/user/workerorderc/getallorder",
                showLoading: true,
                auth: true,
            },
            t3: {
                url: "/user/workerorder/getallcarorder",
                showLoading: true,
                auth: true,
            }
        },
        detail: {
            t1: {
                url: "/user/workerorderb/orderinfo",
                showLoading: true,
                auth: true,
            },
            t2: {
                url: "/user/workerorderc/orderinfobyid",
                showLoading: true,
                auth: true,
            },
            t3: {
                url: "/user/workerorder/getcarorderinfobyid",
                showLoading: true,
                auth: true,
            },
        },
        getOrder: {
            t1: {
                url: "/user/workerorderb/workerorderbyid",
                showLoading: true,
                auth: true,
            },
            t2: {
                url: "/user/workerorderc/joinorder",
                showLoading: true,
                auth: true,
            },
            t3: {
                url: "/user/workerorder/workerorderbyid",
                showLoading: true,
                auth: true,
            },
        }
    },
    order: {
        list: {
            t1: {
                url: "/user/workerorderc/myorderlist",
                showLoading: true,
                auth: true,
            },
            t2: {
                url: "/user/workerorder/getmycarorder",
                showLoading: true,
                auth: true,
            },
            t3: {
                url: "/user/workerorderc/myorderlist",
                showLoading: true,
                auth: true,
            },
        },
    },
}

export default apis
